Bug 657979 - Session marked as inactive when using xdm greeter
Session marked as inactive when using xdm greeter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-28 19:47 EST by Roy Rankin
Modified: 2012-08-16 14:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This patch makes xdm + ConsoleKit work again. (525 bytes, patch)
2010-12-23 16:10 EST, Krzysztof Halasa
no flags Details | Diff

  None (edit)
Description Roy Rankin 2010-11-28 19:47:24 EST
Description of problem:gnome system pulldown has no shutdown item and inserting usb key gives not authorized message.   
ck-list-sessions shows session as inactive. 


Version-Release number of selected component (if applicable):
ConsoleKit-0.4.2-3.fc14.i686
ConsoleKit-libs-0.4.2-3.fc14.i686
ConsoleKit-x11-0.4.2-3.fc14.i686
xorg-x11-xdm-1.1.6-20.fc14.i686

How reproducible:
consistent

Steps to Reproduce:
1. use xdm as greeter
2. 
3.
  
Actual results:
session is shown as inactive, gnome system pulldown does not have "shut down" option and inserting usb key results in not authorized message.

Expected results:
session is active, gnome system pulldown includes shut down and usb keys automatically are mounted.

Additional info:
System worked fine in F13 prior to upgrade to F14. Also works fine if gdm is used as greeter. Going to a different virtual terminal window and returning has no effect of session status. Possibly related to BZ 237621 and first reported to BZ 643367
Comment 1 brickwedde 2010-12-14 14:38:40 EST
Same Problem here with Slim as greeter

[user@wks ~]$ ck-list-sessions 
Session3:
	unix-user = '500'
	realname = '. .'
	seat = 'Seat3'
	session-type = ''
	active = FALSE
	x11-display = ':0.0'
	x11-display-device = '/dev/tty8'
	display-device = ''
	remote-host-name = ''
	is-local = FALSE
	on-since = '2010-12-14T16:52:20.409626Z'
	login-session-id = '21'
Comment 2 Krzysztof Halasa 2010-12-23 16:10:21 EST
Created attachment 470470 [details]
This patch makes xdm + ConsoleKit work again.

Not sure how to fix it properly, but adding the attached patch to ConsoleKit (which reverts a part of previous change) fixes this for me.
It would be nice if someone with ConsoleKit knowledge fixed it, it seems that ConsoleKit is broken on 100% F14+xdm systems.
Comment 3 Fedora End Of Life 2012-08-16 14:59:07 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.